Summary:	Isoqlog is an MTA log analysis program written in C
Name:		isoqlog
Version:	2.2.1
Release:	1.art
License:	BSD
Group:		Monitoring
URL:		http://www.enderunix.org/isoqlog/
Source0:	http://www.enderunix.org/isoqlog/%{name}-%{version}.tar.bz2
Patch0:		isoqlog-small_fixes.diff
BuildRequires:	automake17
#BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Isoqlog is an MTA log analysis program written in C. It is designed to scan
qmail, postfix, sendmail logfiles and produce usage statistics in HTML format.
for viewing through a browser. It produces Top domains output according to
Incoming, Outgoing, total  mails and  bytes, it keeps your main domain mail
statistics with Days Top Domain, Top Users values for per day, per month, and
years.

    
Features:
--------
    
* Multi MTA support(qmail (multilog and syslog), postfix, sendmail)
* Multi-domain support: Shows quite detailed statistics for not only your main
  domain, but also, any domain you want.
* Displays statistics for common mail delivery errors.
* For each domain you specify; displays Top incoming, outgoing, total and byte
  based statistics for users.
* Displays server's activity based on incoming, outgoing, total mails and size
  of incoming mail, for domain  and its users.
* All days', all months', all years' activities ( above ones )  are stored for
  future inspection.
* Multi-language Support (Turkish, English, German, Portuguese, Spanish,
  Italian, French, Swedish, Dutch, Polish, Norwegian)

%prep

%setup -q
%patch0 -p1

# CVS cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build
rm -f configure; aclocal-1.7; automake-1.7 --foreign; autoconf

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# fix the config files
rm -f %{buildroot}%{_sysconfdir}/%{name}/isoqlog*

install -m644 data/isoqlog.conf-dist %{buildroot}%{_sysconfdir}/%{name}/isoqlog.conf.qmail-multilog
install -m644 isoqlog/isoqlog.conf.sample1 %{buildroot}%{_sysconfdir}/%{name}/isoqlog.conf.qmail-syslog
install -m644 isoqlog/isoqlog.conf.sample3 %{buildroot}%{_sysconfdir}/%{name}/isoqlog.conf.sendmail

# install the postfix config as default
install -m644 isoqlog/isoqlog.conf.sample2 %{buildroot}%{_sysconfdir}/%{name}/isoqlog.conf

# put "localhost" into the isoqlog.domains file
echo "localhost" > isoqlog.domains
install -m644 isoqlog.domains %{buildroot}%{_sysconfdir}/%{name}/isoqlog.domains

# cleanup
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_prefix}/etc

install -d %{buildroot}/var/www/html/isoqlog/images
install -d %{buildroot}/var/www/html/isoqlog/library

install -m0644 data/htmltemp/images/*.gif %{buildroot}/var/www/html/isoqlog/images/
install -m0644 data/htmltemp/library/isoqlog.css %{buildroot}/var/www/html/isoqlog/library/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}.* tr AUTHORS COPYING ChangeLog EnderUNIX INSTALL README* TODO
%config(noreplace) %{_sysconfdir}/%{name}/isoqlog.conf
%config(noreplace) %{_sysconfdir}/%{name}/isoqlog.conf.qmail-multilog
%config(noreplace) %{_sysconfdir}/%{name}/isoqlog.conf.qmail-syslog
%config(noreplace) %{_sysconfdir}/%{name}/isoqlog.conf.sendmail
%config(noreplace) %{_sysconfdir}/%{name}/isoqlog.domains
%{_bindir}/%{name}
%dir /var/www/html/%{name}
/var/www/html/%{name}/images/*.gif
/var/www/html/%{name}/library/*.css
%{_datadir}/%{name}


%changelog
* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-1mdv2007.0
+ Revision: 85266
- Import isoqlog



* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-1mdv2007.1
- 2.2.1

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2-2mdk
- rebuild

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2-1mdk
- 2.2
- rediff P0 & P1

* Wed Oct 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1.1-1mdk
- 2.1.1
- drop the errno and fclose patch, it's included
- rediff P0 & P1

* Thu Aug 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-3mdk
- fix P0 (more like lwq, sort of...)
- fix the errno patch (P1) (should work now...)
- added the fclose patch (P3)

* Fri May 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-2mdk
- fix buildrequires (Buchan Milne)
- use the postfix config as default (Buchan Milne)
- use png files per default
- misc spec file fixes

* Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.1-1mdk
- 2.1
- rediff P0
- drop P1, it's included upstream
- added P1 (new one ;))
- enable optional build against dietlibc (--with diet)
- misc spec file fixes

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-3mdk
- rebuilt with gcc-3.2

* Mon Jul 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-2mdk
- Postfix fix (P1)
- put images an css in-place
- really increment the release number

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-1mdk
- initial cooker contrib
